You are not logged in.

#1 2017-10-30 02:18:38

Hacksaurus_Babu
Member
Registered: 2017-01-21
Posts: 99

[SOLVED] Package Conflict between util-linux and rfkill

Hello I have having some package conflict between util-linux and rfkill.... Any ideas how I might address this?

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace rfkill with core/util-linux? [Y/n] n
resolving dependencies...
looking for conflicting packages...
:: util-linux and rfkill are in conflict. Remove rfkill? [y/N] n
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: util-linux and rfkill are in conflict
:: Starting AUR upgrade...
 there is nothing to do

Thanks for any help!

Last edited by Hacksaurus_Babu (2017-10-30 02:34:03)

Offline

#2 2017-10-30 02:27:58

holytrousers
Member
From: 3rd Rock from the Sun
Registered: 2007-10-19
Posts: 67

Re: [SOLVED] Package Conflict between util-linux and rfkill

remove the conflicting package before the upgrade ?

Offline

#3 2017-10-30 02:29:50

Hacksaurus_Babu
Member
Registered: 2017-01-21
Posts: 99

Re: [SOLVED] Package Conflict between util-linux and rfkill

Hm, it seem like no packages are dependent on rfkill, it might be worth a shot...

Offline

#4 2017-10-30 02:33:49

Hacksaurus_Babu
Member
Registered: 2017-01-21
Posts: 99

Re: [SOLVED] Package Conflict between util-linux and rfkill

It seems to be that rfkill and util-linux has merged together in one pacakge, that's why they were in conflict!
Marking as solved!

Offline

#5 2017-10-30 02:42:41

waitnsea
Member
From: France
Registered: 2013-02-10
Posts: 34

Re: [SOLVED] Package Conflict between util-linux and rfkill

Hello

$ pacman -Fl util-linux 

util-linux installs /usr/bin/rfkill
No problem  removing rfkill

Last edited by waitnsea (2017-10-30 02:43:02)

Offline

#6 2017-10-30 12:15:49

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 21,881
Website

Re: [SOLVED] Package Conflict between util-linux and rfkill

General lesson: unless you have good reason to do so and you know what you are doing, you should not try to override pacman's and the developer's defaults.  If you accepted the initial "Y" option in the update there would have been no problem at all.

Last edited by Trilby (2017-10-30 12:16:29)


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#7 2017-11-07 21:43:08

stefano
Member
Registered: 2011-04-09
Posts: 138

Re: [SOLVED] Package Conflict between util-linux and rfkill

Trilby wrote:

General lesson: unless you have good reason to do so and you know what you are doing, you should not try to override pacman's and the developer's defaults.  If you accepted the initial "Y" option in the update there would have been no problem at all.


Good advice, but I get a conflict error as well when accepting pacman's/developer's default answers ("Y"):

error: failed to prepare transaction (could not satisfy dependencies)
:: archboot: removing rfkill breaks dependency 'rfkill>=0.4-3'

Offline

#8 2017-11-07 21:46:32

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 27,694
Website

Re: [SOLVED] Package Conflict between util-linux and rfkill


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#9 2017-11-07 21:48:24

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 3,353

Re: [SOLVED] Package Conflict between util-linux and rfkill

Then you should file a bug report against the archboot package.


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#10 2017-11-11 07:10:39

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 1,020

Re: [SOLVED] Package Conflict between util-linux and rfkill

stefano wrote:
Trilby wrote:
error: failed to prepare transaction (could not satisfy dependencies)
:: archboot: removing rfkill breaks dependency 'rfkill>=0.4-3'

And related ToDo
https://www.archlinux.org/todo/packages … endencies/
I recommend check the ToDo to not get a problem... with them-

And for RFKILL
Check the systemd-rfkill is not undesirable activated with the upgrade or a not-point symlink too.

[Either info could be usefull to others since I not see them knowing there is a systemd service for rfkill and the upgrade could affect it if they has modified it, so I think it workt add the info to the thread]


Well, I suppose that this is somekind of signature, no?

Offline

#11 2017-11-11 23:58:28

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,853

Re: [SOLVED] Package Conflict between util-linux and rfkill

That TODO is something different. Also I've noted on the existing outstanding bug, that this too is a problem. Given that either issue makes the package unable to be installed, I see no utility in opening another one.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

Board footer

Powered by FluxBB